{"openapi":"3.1.0","info":{"title":"GET /api/v1/hubspot/oauth/callback","version":"1.0.0","description":"HubSpot OAuth callback"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/hubspot/oauth/callback":{"get":{"tags":["hubspot"],"summary":"HubSpot OAuth callback","description":"Handle HubSpot OAuth redirect. Called by HubSpot, not the frontend.","operationId":"hubspot_oauth_callback_api_v1_hubspot_oauth_callback_get","parameters":[{"name":"code","in":"query","required":true,"schema":{"type":"string","description":"Authorization code from HubSpot","title":"Code"},"description":"Authorization code from HubSpot"},{"name":"state","in":"query","required":true,"schema":{"type":"string","description":"HMAC-signed business ID","title":"State"},"description":"HMAC-signed business ID"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}